Bug 14501 - Please add the new nhn_MX locale
Summary: Please add the new nhn_MX locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Andreas Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-21 00:34 IST by jrbecster
Modified: 2014-06-17 05:56 IST (History)
5 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
is the locale file i made (1.40 KB, application/octet-stream)
2012-08-21 00:34 IST, jrbecster
Details
locale file with corrections (1.31 KB, patch)
2012-08-23 01:08 IST, jrbecster
Details | Diff
locale file (1.31 KB, text/plain)
2012-08-23 03:58 IST, jrbecster
Details
locale file with the yes/no string correction (1.31 KB, text/plain)
2012-08-23 13:26 IST, jrbecster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrbecster 2012-08-21 00:34:28 IST
Created attachment 6597 [details]
is the locale file i made

Dear maintainers,

Please find attached the locale definition for nhn_MX to be
considered for inclusion in glibc. This language name is Central nahuatl and is spoken in the central part of Mexico.

Thanks!
Comment 1 Chris Leonard 2012-08-21 02:36:16 IST
Although commonly found in glibc locales, this license language is problematic.

% Distribution and use is free, also
% for commercial purposes.

See  "localedata licencing issues"
http://sourceware.org/bugzilla/show_bug.cgi?id=11213

See also:
Many locales files do not permit modification
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=555168

For now, I would recommend changing this to:

% This file is distributed under the same license as the glibc package.
Comment 2 jrbecster 2012-08-23 01:08:03 IST
Created attachment 6604 [details]
locale file with corrections
Comment 3 jrbecster 2012-08-23 03:58:53 IST
Created attachment 6605 [details]
locale file
Comment 4 Chris Leonard 2012-08-23 05:14:31 IST
Very, very minor point about the yesstr and nostr comments,

% ^[quema].*
yesstr  "<U0071><U0075><U0065><U006D><U0061>"
% ^[ahmo].*
nostr   "<U0061><U0068><U006D><U006F>"

should probably be

% quema
yesstr  "<U0071><U0075><U0065><U006D><U0061>"
% ahmo
nostr   "<U0061><U0068><U006D><U006F>"

Other then this very minor point, this is looking very good.
Comment 5 jrbecster 2012-08-23 13:26:17 IST
Created attachment 6606 [details]
locale file with the yes/no string correction
Comment 6 Chris Leonard 2012-09-05 00:11:44 IST
Dear glibc maintainers, this locale is ready to go and needs to be committed.  Without this locale landed, this language effort cannot move forward in GNOME L10n.  Please attend to this ASAP.
Comment 7 Chris Leonard 2012-09-22 00:34:06 IST
Dear glibc maintainers, 

Please land this locale.  Would it help if someone from the gnome-18n team were deputized to review localedata tickets?  Locales seem to be of much more interest to the i18n/L10n folks than to the glibc developers.
Comment 8 -EMail Hidden- 2012-09-26 15:36:37 IST
If 'a language effort cannot move' without this locale, it is a GNOME bureaucracy problem, isn't it? There is nothing to prevent localization whether this locale is included or not.
Comment 9 Andreas Jaeger 2012-11-16 08:43:25 IST
Thanks, commited now.